Package de.willuhn.jameica.hbci.server

# Class UmsatzTreeNode

java.lang.Object
de.willuhn.jameica.hbci.server.UmsatzTreeNode

All Implemented Interfaces:
  `de.willuhn.datasource.GenericObject`, `de.willuhn.datasource.GenericObjectNode`, `Comparable`, `Remote`

public class UmsatzTreeNode extends Object implements de.willuhn.datasource.GenericObjectNode, Comparable
Hilfsklasse, um die Kategorien und zugeordneten Umsaetzen in einem einheitlichen Tree abzubilden. Die Klasse wird primaer verwendet, um den Baum bequem in der GUI darzustellen.

## Constructor Summary

Constructors
Constructor
Description
`UmsatzTreeNode(UmsatzTyp typ)`
ct.

## Method Summary

Modifier and Type
Method
Description
`void`
`add(Umsatz umsatz)`
Fuegt der Gruppe einen neuen Umsatz hinzu.
`int`
`compareTo(Object o)`
Implementiert, damit wir nach dem Feld "nummer" sortieren koennen.
`boolean`
`equals(de.willuhn.datasource.GenericObject other)`
`Object`
`getAttribute(String arg0)`
`String[]`
`getAttributeNames()`
`de.willuhn.datasource.GenericIterator`
`getChildren()`
`String`
`getID()`
`de.willuhn.datasource.GenericObjectNode`
`getParent()`
`de.willuhn.datasource.GenericIterator`
`getPath()`
`de.willuhn.datasource.GenericIterator`
`getPossibleParents()`
`String`
`getPrimaryAttribute()`
`List<UmsatzTreeNode>`
`getSubGroups()`
Liefert ggf.
`List<Umsatz>`
`getUmsaetze()`
Liefert die Umsaetze der Kategorie.
`UmsatzTyp`
`getUmsatzTyp()`
Liefert den zugehoerigen Umsatztyp.
`boolean`
`hasChild(de.willuhn.datasource.GenericObjectNode node)`
`void`
`setParent(UmsatzTreeNode parent)`
Legt das Parent fest.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UmsatzTreeNode

public UmsatzTreeNode(UmsatzTyp typ)
ct.

Parameters:
  `typ` -

## Method Details

### getUmsatzTyp

public UmsatzTyp getUmsatzTyp()
Liefert den zugehoerigen Umsatztyp.

Returns:
  der zugehoerige Umsatztyp.

### add

public void add(Umsatz umsatz)
Fuegt der Gruppe einen neuen Umsatz hinzu.

Parameters:
  `umsatz` -

### setParent

public void setParent(UmsatzTreeNode parent)
Legt das Parent fest.

Parameters:
  `parent` - das Parent.

### getUmsaetze

public List<Umsatz> getUmsaetze()
Liefert die Umsaetze der Kategorie.

Returns:
  Umsaetze der Kategorie.

### getSubGroups

public List<UmsatzTreeNode> getSubGroups()
Liefert ggf. vorhandene Unter-Kategorien.

Returns:
  Liste der Unter-Kategorien.

### getChildren

public de.willuhn.datasource.GenericIterator getChildren() throws RemoteException

Specified by:
  `getChildren` in interface `de.willuhn.datasource.GenericObjectNode`
Throws:
  `RemoteException`
See Also:
  - `GenericObjectNode.getChildren()`

### getParent

public de.willuhn.datasource.GenericObjectNode getParent() throws RemoteException

Specified by:
  `getParent` in interface `de.willuhn.datasource.GenericObjectNode`
Throws:
  `RemoteException`
See Also:
  - `GenericObjectNode.getParent()`

### getPath

public de.willuhn.datasource.GenericIterator getPath() throws RemoteException

Specified by:
  `getPath` in interface `de.willuhn.datasource.GenericObjectNode`
Throws:
  `RemoteException`
See Also:
  - `GenericObjectNode.getPath()`

### getPossibleParents

public de.willuhn.datasource.GenericIterator getPossibleParents() throws RemoteException

Specified by:
  `getPossibleParents` in interface `de.willuhn.datasource.GenericObjectNode`
Throws:
  `RemoteException`
See Also:
  - `GenericObjectNode.getPossibleParents()`

### hasChild

public boolean hasChild(de.willuhn.datasource.GenericObjectNode node) throws RemoteException

Specified by:
  `hasChild` in interface `de.willuhn.datasource.GenericObjectNode`
Throws:
  `RemoteException`
See Also:
  - `GenericObjectNode.hasChild(de.willuhn.datasource.GenericObjectNode)`

### equals

public boolean equals(de.willuhn.datasource.GenericObject other) throws RemoteException

Specified by:
  `equals` in interface `de.willuhn.datasource.GenericObject`
Throws:
  `RemoteException`
See Also:
  - `GenericObject.equals(de.willuhn.datasource.GenericObject)`

### getAttribute

public Object getAttribute(String arg0) throws RemoteException

Specified by:
  `getAttribute` in interface `de.willuhn.datasource.GenericObject`
Throws:
  `RemoteException`
See Also:
  - `GenericObject.getAttribute(java.lang.String)`

### getAttributeNames

public String[] getAttributeNames() throws RemoteException

Specified by:
  `getAttributeNames` in interface `de.willuhn.datasource.GenericObject`
Throws:
  `RemoteException`
See Also:
  - `GenericObject.getAttributeNames()`

### getID

public String getID() throws RemoteException

Specified by:
  `getID` in interface `de.willuhn.datasource.GenericObject`
Throws:
  `RemoteException`
See Also:
  - `GenericObject.getID()`

### getPrimaryAttribute

public String getPrimaryAttribute() throws RemoteException

Specified by:
  `getPrimaryAttribute` in interface `de.willuhn.datasource.GenericObject`
Throws:
  `RemoteException`
See Also:
  - `GenericObject.getPrimaryAttribute()`

### compareTo

public int compareTo(Object o)
Implementiert, damit wir nach dem Feld "nummer" sortieren koennen.

Specified by:
  `compareTo` in interface `Comparable`
See Also:
  - `Comparable.compareTo(java.lang.Object)`